'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _LeftNavMenuItem = require('./LeftNavMenuItem');

var _LeftNavMenuItem2 = _interopRequireDefault(_LeftNavMenuItem);

require('../../../styles/components/left-nav.css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LeftNav = function LeftNav(props) {
  return _react2['default'].createElement(
    'nav',
    (0, _extends3['default'])({}, props, { className: (0, _classnames2['default'])(props.className, 'octagon nav__left') }),
    props.children
  );
};
LeftNav.MenuItem = _LeftNavMenuItem2['default'];
LeftNav.propTypes = {
  /** One of: MenuItem, Node */
  children: _propTypes2['default'].node
};

LeftNav.defaultProps = {};

exports['default'] = LeftNav;
module.exports = exports['default'];
//# sourceMappingURL=LeftNav.js.map