'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _TopNavContent = require('./TopNavContent');

var _TopNavContent2 = _interopRequireDefault(_TopNavContent);

require('../../../styles/components/top-nav.css');

var _externalAttributeFilter = require('../../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TopNav = function TopNav(props) {
  var handledProps = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    'div',
    (0, _extends3['default'])({}, handledProps, {
      className: (0, _classnames2['default'])('octagon nav__main clearfix', handledProps.className)
    }),
    props.children
  );
};
TopNav.Content = _TopNavContent2['default'];

TopNav.propTypes = {
  /** One of: Content, Node */
  children: _propTypes2['default'].node
};

exports['default'] = TopNav;
module.exports = exports['default'];
//# sourceMappingURL=TopNav.js.map